API For Billing

List billing records

get

Returns a paginated list of billing records for the authenticated user, with optional filters (type, date range, status, payment method) and sorting.

Authorizations
api-keystringRequired
Query parameters
limitintegerOptional

Maximum number of items to return per page. Default: 30

pageintegerOptional

Requested page number (1-based). Default: 1

typeintegerOptional

Billing record type. 1: Purchase, 2: Wallet top-up

start_datestringOptional

Filter by start date (YYYY-MM-DD), e.g., 2025-08-01

end_datestringOptional

Filter by end date (YYYY-MM-DD), e.g., 2025-08-30

sort_bystringOptional

Field to sort by: id, amount, number_of_ips. Default: id

order_bystringOptional

Sort order: desc or asc. Default: desc

statusintegerOptional

Billing status. 0: pending, 1: success, -1: failed

payment_methodintegerOptional

Filter by payment method.

Responses
chevron-right
200

Successful response

application/json

Billing records list response payload.

successbooleanOptional

Indicates whether the request was successful.

messagestringOptional

Human-readable response message.

get
/client/v1/billings/get-list

Last updated

Was this helpful?